#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00007FA0, "_module_flags");
  MakeDword(0x00007FA0);
  MakeName(0x00007FA4, "_module_name");
  MakeStr(0x00007FA4, BADADDR);
  MakeName(0x00007FC0, "_module_gp");
  MakeDword(0x00007FC0);
  MakeName(0x00007FC4, "_module_exports");
  MakeDword(0x00007FC4);
  OpOff(0x00007FC4, 0, 0);
  MakeName(0x00007FC8, "_module_exp_end");
  MakeDword(0x00007FC8);
  OpOff(0x00007FC8, 0, 0);
  MakeName(0x00007FCC, "_module_imports");
  MakeDword(0x00007FCC);
  OpOff(0x00007FCC, 0, 0);
  MakeName(0x00007FD0, "_module_imp_end");
  MakeDword(0x00007FD0);
  OpOff(0x00007FD0, 0, 0);
}

static createImports() {
  MakeName(0x00007EFC, "import0");
  MakeDword(0x00007EFC);
  OpOff(0x00007EFC, 0, 0);
  MakeName(0x00007FD8, "import0_name");
  MakeStr(0x00007FD8, BADADDR);
  MakeName(0x00007F00, "import0_flags");
  MakeDword(0x00007F00);
  MakeName(0x00007F04, "import0_counts");
  MakeDword(0x00007F04);
  MakeName(0x00007F08, "import0_nids");
  MakeDword(0x00007F08);
  OpOff(0x00007F08, 0, 0);
  MakeName(0x00007F0C, "import0_funcs");
  MakeDword(0x00007F0C);
  OpOff(0x00007F0C, 0, 0);
  MakeName(0x000080CC, "import0_sceKernelCpuSuspendIntr");
  MakeDword(0x000080CC);
  MakeName(0x00007CF8, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00007CF8, BADADDR);
  MakeName(0x000080D0, "import0_sceKernelCpuResumeIntr");
  MakeDword(0x000080D0);
  MakeName(0x00007D00, "sceKernelCpuResumeIntr");
  MakeFunction(0x00007D00, BADADDR);
  MakeName(0x00007F10, "import1");
  MakeDword(0x00007F10);
  OpOff(0x00007F10, 0, 0);
  MakeName(0x00007FF8, "import1_name");
  MakeStr(0x00007FF8, BADADDR);
  MakeName(0x00007F14, "import1_flags");
  MakeDword(0x00007F14);
  MakeName(0x00007F18, "import1_counts");
  MakeDword(0x00007F18);
  MakeName(0x00007F1C, "import1_nids");
  MakeDword(0x00007F1C);
  OpOff(0x00007F1C, 0, 0);
  MakeName(0x00007F20, "import1_funcs");
  MakeDword(0x00007F20);
  OpOff(0x00007F20, 0, 0);
  MakeName(0x000080D4, "import1_sceIoAddDrv");
  MakeDword(0x000080D4);
  MakeName(0x00007D08, "sceIoAddDrv");
  MakeFunction(0x00007D08, BADADDR);
  MakeName(0x000080D8, "import1_sceIoDelDrv");
  MakeDword(0x000080D8);
  MakeName(0x00007D10, "sceIoDelDrv");
  MakeFunction(0x00007D10, BADADDR);
  MakeName(0x00007F24, "import2");
  MakeDword(0x00007F24);
  OpOff(0x00007F24, 0, 0);
  MakeName(0x00008010, "import2_name");
  MakeStr(0x00008010, BADADDR);
  MakeName(0x00007F28, "import2_flags");
  MakeDword(0x00007F28);
  MakeName(0x00007F2C, "import2_counts");
  MakeDword(0x00007F2C);
  MakeName(0x00007F30, "import2_nids");
  MakeDword(0x00007F30);
  OpOff(0x00007F30, 0, 0);
  MakeName(0x00007F34, "import2_funcs");
  MakeDword(0x00007F34);
  OpOff(0x00007F34, 0, 0);
  MakeName(0x000080F0, "import2_sceKernelDelayThread");
  MakeDword(0x000080F0);
  MakeName(0x00007D40, "sceKernelDelayThread");
  MakeFunction(0x00007D40, BADADDR);
  MakeName(0x000080F4, "import2_sceKernelCreateSema");
  MakeDword(0x000080F4);
  MakeName(0x00007D48, "sceKernelCreateSema");
  MakeFunction(0x00007D48, BADADDR);
  MakeName(0x000080F8, "import2_sceKernelDeleteSema");
  MakeDword(0x000080F8);
  MakeName(0x00007D50, "sceKernelDeleteSema");
  MakeFunction(0x00007D50, BADADDR);
  MakeName(0x000080FC, "import2_sceKernelSignalSema");
  MakeDword(0x000080FC);
  MakeName(0x00007D58, "sceKernelSignalSema");
  MakeFunction(0x00007D58, BADADDR);
  MakeName(0x00008100, "import2_sceKernelWaitSema");
  MakeDword(0x00008100);
  MakeName(0x00007D60, "sceKernelWaitSema");
  MakeFunction(0x00007D60, BADADDR);
  MakeName(0x00008104, "import2_sceKernelPollSema");
  MakeDword(0x00008104);
  MakeName(0x00007D68, "sceKernelPollSema");
  MakeFunction(0x00007D68, BADADDR);
  MakeName(0x00008108, "import2_sceKernelCreateEventFlag");
  MakeDword(0x00008108);
  MakeName(0x00007D70, "sceKernelCreateEventFlag");
  MakeFunction(0x00007D70, BADADDR);
  MakeName(0x0000810C, "import2_sceKernelDeleteEventFlag");
  MakeDword(0x0000810C);
  MakeName(0x00007D78, "sceKernelDeleteEventFlag");
  MakeFunction(0x00007D78, BADADDR);
  MakeName(0x00008110, "import2_sceKernelSetEventFlag");
  MakeDword(0x00008110);
  MakeName(0x00007D80, "sceKernelSetEventFlag");
  MakeFunction(0x00007D80, BADADDR);
  MakeName(0x00008114, "import2_sceKernelWaitEventFlag");
  MakeDword(0x00008114);
  MakeName(0x00007D88, "sceKernelWaitEventFlag");
  MakeFunction(0x00007D88, BADADDR);
  MakeName(0x00008118, "import2_sceKernelCreateFpl");
  MakeDword(0x00008118);
  MakeName(0x00007D90, "sceKernelCreateFpl");
  MakeFunction(0x00007D90, BADADDR);
  MakeName(0x0000811C, "import2_sceKernelDeleteFpl");
  MakeDword(0x0000811C);
  MakeName(0x00007D98, "sceKernelDeleteFpl");
  MakeFunction(0x00007D98, BADADDR);
  MakeName(0x00008120, "import2_sceKernelTryAllocateFpl");
  MakeDword(0x00008120);
  MakeName(0x00007DA0, "sceKernelTryAllocateFpl");
  MakeFunction(0x00007DA0, BADADDR);
  MakeName(0x00008124, "import2_sceKernelFreeFpl");
  MakeDword(0x00008124);
  MakeName(0x00007DA8, "sceKernelFreeFpl");
  MakeFunction(0x00007DA8, BADADDR);
  MakeName(0x00008128, "import2_sceKernelCreateThread");
  MakeDword(0x00008128);
  MakeName(0x00007DB0, "sceKernelCreateThread");
  MakeFunction(0x00007DB0, BADADDR);
  MakeName(0x0000812C, "import2_sceKernelStartThread");
  MakeDword(0x0000812C);
  MakeName(0x00007DB8, "sceKernelStartThread");
  MakeFunction(0x00007DB8, BADADDR);
  MakeName(0x00008130, "import2_sceKernelTerminateDeleteThread");
  MakeDword(0x00008130);
  MakeName(0x00007DC0, "sceKernelTerminateDeleteThread");
  MakeFunction(0x00007DC0, BADADDR);
  MakeName(0x00007F38, "import3");
  MakeDword(0x00007F38);
  OpOff(0x00007F38, 0, 0);
  MakeName(0x00008028, "import3_name");
  MakeStr(0x00008028, BADADDR);
  MakeName(0x00007F3C, "import3_flags");
  MakeDword(0x00007F3C);
  MakeName(0x00007F40, "import3_counts");
  MakeDword(0x00007F40);
  MakeName(0x00007F44, "import3_nids");
  MakeDword(0x00007F44);
  OpOff(0x00007F44, 0, 0);
  MakeName(0x00007F48, "import3_funcs");
  MakeDword(0x00007F48);
  OpOff(0x00007F48, 0, 0);
  MakeName(0x000080DC, "import3_sceKernelAssert");
  MakeDword(0x000080DC);
  MakeName(0x00007D18, "sceKernelAssert");
  MakeFunction(0x00007D18, BADADDR);
  MakeName(0x000080E0, "import3_Kprintf");
  MakeDword(0x000080E0);
  MakeName(0x00007D20, "Kprintf");
  MakeFunction(0x00007D20, BADADDR);
  MakeName(0x00007F4C, "import4");
  MakeDword(0x00007F4C);
  OpOff(0x00007F4C, 0, 0);
  MakeName(0x0000803C, "import4_name");
  MakeStr(0x0000803C, BADADDR);
  MakeName(0x00007F50, "import4_flags");
  MakeDword(0x00007F50);
  MakeName(0x00007F54, "import4_counts");
  MakeDword(0x00007F54);
  MakeName(0x00007F58, "import4_nids");
  MakeDword(0x00007F58);
  OpOff(0x00007F58, 0, 0);
  MakeName(0x00007F5C, "import4_funcs");
  MakeDword(0x00007F5C);
  OpOff(0x00007F5C, 0, 0);
  MakeName(0x000080E4, "import4_memcpy");
  MakeDword(0x000080E4);
  MakeName(0x00007D28, "memcpy");
  MakeFunction(0x00007D28, BADADDR);
  MakeName(0x000080E8, "import4_memcmp");
  MakeDword(0x000080E8);
  MakeName(0x00007D30, "memcmp");
  MakeFunction(0x00007D30, BADADDR);
  MakeName(0x000080EC, "import4_bzero");
  MakeDword(0x000080EC);
  MakeName(0x00007D38, "bzero");
  MakeFunction(0x00007D38, BADADDR);
  MakeName(0x00007F60, "import5");
  MakeDword(0x00007F60);
  OpOff(0x00007F60, 0, 0);
  MakeName(0x00008054, "import5_name");
  MakeStr(0x00008054, BADADDR);
  MakeName(0x00007F64, "import5_flags");
  MakeDword(0x00007F64);
  MakeName(0x00007F68, "import5_counts");
  MakeDword(0x00007F68);
  MakeName(0x00007F6C, "import5_nids");
  MakeDword(0x00007F6C);
  OpOff(0x00007F6C, 0, 0);
  MakeName(0x00007F70, "import5_funcs");
  MakeDword(0x00007F70);
  OpOff(0x00007F70, 0, 0);
  MakeName(0x000081AC, "import5_sceKernelPowerLock");
  MakeDword(0x000081AC);
  MakeName(0x00007EB8, "sceKernelPowerLock");
  MakeFunction(0x00007EB8, BADADDR);
  MakeName(0x000081B0, "import5_sceKernelPowerUnlock");
  MakeDword(0x000081B0);
  MakeName(0x00007EC0, "sceKernelPowerUnlock");
  MakeFunction(0x00007EC0, BADADDR);
  MakeName(0x00007F74, "import6");
  MakeDword(0x00007F74);
  OpOff(0x00007F74, 0, 0);
  MakeName(0x0000806C, "import6_name");
  MakeStr(0x0000806C, BADADDR);
  MakeName(0x00007F78, "import6_flags");
  MakeDword(0x00007F78);
  MakeName(0x00007F7C, "import6_counts");
  MakeDword(0x00007F7C);
  MakeName(0x00007F80, "import6_nids");
  MakeDword(0x00007F80);
  OpOff(0x00007F80, 0, 0);
  MakeName(0x00007F84, "import6_funcs");
  MakeDword(0x00007F84);
  OpOff(0x00007F84, 0, 0);
  MakeName(0x00008134, "import6_sceLedSetMode");
  MakeDword(0x00008134);
  MakeName(0x00007DC8, "sceLedSetMode");
  MakeFunction(0x00007DC8, BADADDR);
  MakeName(0x00007F88, "import7");
  MakeDword(0x00007F88);
  OpOff(0x00007F88, 0, 0);
  MakeName(0x00008080, "import7_name");
  MakeStr(0x00008080, BADADDR);
  MakeName(0x00007F8C, "import7_flags");
  MakeDword(0x00007F8C);
  MakeName(0x00007F90, "import7_counts");
  MakeDword(0x00007F90);
  MakeName(0x00007F94, "import7_nids");
  MakeDword(0x00007F94);
  OpOff(0x00007F94, 0, 0);
  MakeName(0x00007F98, "import7_funcs");
  MakeDword(0x00007F98);
  OpOff(0x00007F98, 0, 0);
  MakeName(0x00008138, "import7_sceMScmRegisterCLDM");
  MakeDword(0x00008138);
  MakeName(0x00007DD0, "sceMScmRegisterCLDM");
  MakeFunction(0x00007DD0, BADADDR);
  MakeName(0x0000813C, "import7_sceMScmRegisterCLD");
  MakeDword(0x0000813C);
  MakeName(0x00007DD8, "sceMScmRegisterCLD");
  MakeFunction(0x00007DD8, BADADDR);
  MakeName(0x00008140, "import7_sceMScm_driver_CBB2BF6F");
  MakeDword(0x00008140);
  MakeName(0x00007DE0, "sceMScm_driver_CBB2BF6F");
  MakeFunction(0x00007DE0, BADADDR);
  MakeName(0x00008144, "import7_sceMScm_driver_6C8AEF0B");
  MakeDword(0x00008144);
  MakeName(0x00007DE8, "sceMScm_driver_6C8AEF0B");
  MakeFunction(0x00007DE8, BADADDR);
  MakeName(0x00008148, "import7_sceMScm_driver_F1133DAF");
  MakeDword(0x00008148);
  MakeName(0x00007DF0, "sceMScm_driver_F1133DAF");
  MakeFunction(0x00007DF0, BADADDR);
  MakeName(0x0000814C, "import7_sceMScmSendTPC");
  MakeDword(0x0000814C);
  MakeName(0x00007DF8, "sceMScmSendTPC");
  MakeFunction(0x00007DF8, BADADDR);
  MakeName(0x00008150, "import7_sceMScmSendTPCDMA");
  MakeDword(0x00008150);
  MakeName(0x00007E00, "sceMScmSendTPCDMA");
  MakeFunction(0x00007E00, BADADDR);
  MakeName(0x00008154, "import7_sceMScmWaitHCIntr");
  MakeDword(0x00008154);
  MakeName(0x00007E08, "sceMScmWaitHCIntr");
  MakeFunction(0x00007E08, BADADDR);
  MakeName(0x00008158, "import7_sceMScmHCLastStatus");
  MakeDword(0x00008158);
  MakeName(0x00007E10, "sceMScmHCLastStatus");
  MakeFunction(0x00007E10, BADADDR);
  MakeName(0x0000815C, "import7_sceMScmWriteDataPIO");
  MakeDword(0x0000815C);
  MakeName(0x00007E18, "sceMScmWriteDataPIO");
  MakeFunction(0x00007E18, BADADDR);
  MakeName(0x00008160, "import7_sceMScmReadDataPIO");
  MakeDword(0x00008160);
  MakeName(0x00007E20, "sceMScmReadDataPIO");
  MakeFunction(0x00007E20, BADADDR);
  MakeName(0x00008164, "import7_sceMScmStartReadDataDMA");
  MakeDword(0x00008164);
  MakeName(0x00007E28, "sceMScmStartReadDataDMA");
  MakeFunction(0x00007E28, BADADDR);
  MakeName(0x00008168, "import7_sceMScmStartWriteDataDMA");
  MakeDword(0x00008168);
  MakeName(0x00007E30, "sceMScmStartWriteDataDMA");
  MakeFunction(0x00007E30, BADADDR);
  MakeName(0x0000816C, "import7_sceMScm_driver_B1D1C718");
  MakeDword(0x0000816C);
  MakeName(0x00007E38, "sceMScm_driver_B1D1C718");
  MakeFunction(0x00007E38, BADADDR);
  MakeName(0x00008170, "import7_sceMScmSetSlotPower");
  MakeDword(0x00008170);
  MakeName(0x00007E40, "sceMScmSetSlotPower");
  MakeFunction(0x00007E40, BADADDR);
  MakeName(0x00008174, "import7_sceMScmGetSlotPower");
  MakeDword(0x00008174);
  MakeName(0x00007E48, "sceMScmGetSlotPower");
  MakeFunction(0x00007E48, BADADDR);
  MakeName(0x00008178, "import7_sceMScmGetSlotState");
  MakeDword(0x00008178);
  MakeName(0x00007E50, "sceMScmGetSlotState");
  MakeFunction(0x00007E50, BADADDR);
  MakeName(0x0000817C, "import7_sceMScmResetHC");
  MakeDword(0x0000817C);
  MakeName(0x00007E58, "sceMScmResetHC");
  MakeFunction(0x00007E58, BADADDR);
  MakeName(0x00008180, "import7_sceMScm_driver_36921225");
  MakeDword(0x00008180);
  MakeName(0x00007E60, "sceMScm_driver_36921225");
  MakeFunction(0x00007E60, BADADDR);
  MakeName(0x00008184, "import7_sceMScm_driver_EF42A4A3");
  MakeDword(0x00008184);
  MakeName(0x00007E68, "sceMScm_driver_EF42A4A3");
  MakeFunction(0x00007E68, BADADDR);
  MakeName(0x00008188, "import7_sceMScm_driver_34124B97");
  MakeDword(0x00008188);
  MakeName(0x00007E70, "sceMScm_driver_34124B97");
  MakeFunction(0x00007E70, BADADDR);
  MakeName(0x0000818C, "import7_sceMScmTPCSetCmd");
  MakeDword(0x0000818C);
  MakeName(0x00007E78, "sceMScmTPCSetCmd");
  MakeFunction(0x00007E78, BADADDR);
  MakeName(0x00008190, "import7_sceMScm_driver_3FFE76E5");
  MakeDword(0x00008190);
  MakeName(0x00007E80, "sceMScm_driver_3FFE76E5");
  MakeFunction(0x00007E80, BADADDR);
  MakeName(0x00008194, "import7_sceMScm_driver_494FB570");
  MakeDword(0x00008194);
  MakeName(0x00007E88, "sceMScm_driver_494FB570");
  MakeFunction(0x00007E88, BADADDR);
  MakeName(0x00008198, "import7_sceMScm_driver_C003705D");
  MakeDword(0x00008198);
  MakeName(0x00007E90, "sceMScm_driver_C003705D");
  MakeFunction(0x00007E90, BADADDR);
  MakeName(0x0000819C, "import7_sceMScm_driver_4E4C3099");
  MakeDword(0x0000819C);
  MakeName(0x00007E98, "sceMScm_driver_4E4C3099");
  MakeFunction(0x00007E98, BADADDR);
  MakeName(0x000081A0, "import7_sceMScm_driver_E24B5D0C");
  MakeDword(0x000081A0);
  MakeName(0x00007EA0, "sceMScm_driver_E24B5D0C");
  MakeFunction(0x00007EA0, BADADDR);
  MakeName(0x000081A4, "import7_sceMScm_driver_B01C378C");
  MakeDword(0x000081A4);
  MakeName(0x00007EA8, "sceMScm_driver_B01C378C");
  MakeFunction(0x00007EA8, BADADDR);
  MakeName(0x000081A8, "import7_sceMScm_driver_18DD6E90");
  MakeDword(0x000081A8);
  MakeName(0x00007EB0, "sceMScm_driver_18DD6E90");
  MakeFunction(0x00007EB0, BADADDR);
}

static createExports() {
  MakeName(0x00007ED4, "export_0");
  MakeDword(0x00007ED4);
  MakeName(0x00007ED8, "export_0_flags");
  MakeDword(0x00007ED8);
  MakeName(0x00007EDC, "export_0_counts");
  MakeDword(0x00007EDC);
  MakeName(0x00007EE0, "export_0_exports");
  MakeDword(0x00007EE0);
  OpOff(0x00007EE0, 0, 0);
  MakeName(0x00008090, "export_0_module_start");
  MakeDword(0x00008090);
  MakeName(0x0000809C, "");
  MakeDword(0x0000809C);
  OpOff(0x0000809C, 0, 0);
  MakeName(0x0000457C, "module_start");
  MakeFunction(0x0000457C, BADADDR);
  MakeName(0x00008094, "export_0_module_reboot_before");
  MakeDword(0x00008094);
  MakeName(0x000080A0, "");
  MakeDword(0x000080A0);
  OpOff(0x000080A0, 0, 0);
  MakeName(0x000048D4, "module_reboot_before");
  MakeFunction(0x000048D4, BADADDR);
  MakeName(0x00008098, "export_0_module_info");
  MakeDword(0x00008098);
  MakeName(0x000080A4, "");
  MakeDword(0x000080A4);
  OpOff(0x000080A4, 0, 0);
  MakeName(0x00007EE4, "export_1");
  MakeDword(0x00007EE4);
  OpOff(0x00007EE4, 0, 0);
  MakeName(0x000080A8, "export_1_name");
  MakeStr(0x000080A8, BADADDR);
  MakeName(0x00007EE8, "export_1_flags");
  MakeDword(0x00007EE8);
  MakeName(0x00007EEC, "export_1_counts");
  MakeDword(0x00007EEC);
  MakeName(0x00007EF0, "export_1_exports");
  MakeDword(0x00007EF0);
  OpOff(0x00007EF0, 0, 0);
  MakeName(0x000080BC, "export_1_sceMSstorEntry");
  MakeDword(0x000080BC);
  MakeName(0x000080C4, "");
  MakeDword(0x000080C4);
  OpOff(0x000080C4, 0, 0);
  MakeName(0x0000457C, "sceMSstorEntry");
  MakeFunction(0x0000457C, BADADDR);
  MakeName(0x000080C0, "export_1_sceMSstorRegisterCLDMSelf");
  MakeDword(0x000080C0);
  MakeName(0x000080C8, "");
  MakeDword(0x000080C8);
  OpOff(0x000080C8, 0, 0);
  MakeName(0x00006B14, "sceMSstorRegisterCLDMSelf");
  MakeFunction(0x00006B14, BADADDR);
}

static createRelocs() {
}

