#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000007CC, "_module_flags");
  MakeDword(0x000007CC);
  MakeName(0x000007D0, "_module_name");
  MakeStr(0x000007D0, BADADDR);
  MakeName(0x000007EC, "_module_gp");
  MakeDword(0x000007EC);
  MakeName(0x000007F0, "_module_exports");
  MakeDword(0x000007F0);
  OpOff(0x000007F0, 0, 0);
  MakeName(0x000007F4, "_module_exp_end");
  MakeDword(0x000007F4);
  OpOff(0x000007F4, 0, 0);
  MakeName(0x000007F8, "_module_imports");
  MakeDword(0x000007F8);
  OpOff(0x000007F8, 0, 0);
  MakeName(0x000007FC, "_module_imp_end");
  MakeDword(0x000007FC);
  OpOff(0x000007FC, 0, 0);
}

static createImports() {
  MakeName(0x0000078C, "import0");
  MakeDword(0x0000078C);
  OpOff(0x0000078C, 0, 0);
  MakeName(0x00000804, "import0_name");
  MakeStr(0x00000804, BADADDR);
  MakeName(0x00000790, "import0_flags");
  MakeDword(0x00000790);
  MakeName(0x00000794, "import0_counts");
  MakeDword(0x00000794);
  MakeName(0x00000798, "import0_nids");
  MakeDword(0x00000798);
  OpOff(0x00000798, 0, 0);
  MakeName(0x0000079C, "import0_funcs");
  MakeDword(0x0000079C);
  OpOff(0x0000079C, 0, 0);
  MakeName(0x000008D0, "import0_sceKernelCreateSema");
  MakeDword(0x000008D0);
  MakeName(0x000006D0, "sceKernelCreateSema");
  MakeFunction(0x000006D0, BADADDR);
  MakeName(0x000008D4, "import0_sceKernelDeleteSema");
  MakeDword(0x000008D4);
  MakeName(0x000006D8, "sceKernelDeleteSema");
  MakeFunction(0x000006D8, BADADDR);
  MakeName(0x000008D8, "import0_sceKernelSignalSema");
  MakeDword(0x000008D8);
  MakeName(0x000006E0, "sceKernelSignalSema");
  MakeFunction(0x000006E0, BADADDR);
  MakeName(0x000008DC, "import0_sceKernelWaitSema");
  MakeDword(0x000008DC);
  MakeName(0x000006E8, "sceKernelWaitSema");
  MakeFunction(0x000006E8, BADADDR);
  MakeName(0x000008E0, "import0_sceKernelCreateFpl");
  MakeDword(0x000008E0);
  MakeName(0x000006F0, "sceKernelCreateFpl");
  MakeFunction(0x000006F0, BADADDR);
  MakeName(0x000008E4, "import0_sceKernelDeleteFpl");
  MakeDword(0x000008E4);
  MakeName(0x000006F8, "sceKernelDeleteFpl");
  MakeFunction(0x000006F8, BADADDR);
  MakeName(0x000008E8, "import0_sceKernelAllocateFpl");
  MakeDword(0x000008E8);
  MakeName(0x00000700, "sceKernelAllocateFpl");
  MakeFunction(0x00000700, BADADDR);
  MakeName(0x000007A0, "import1");
  MakeDword(0x000007A0);
  OpOff(0x000007A0, 0, 0);
  MakeName(0x0000081C, "import1_name");
  MakeStr(0x0000081C, BADADDR);
  MakeName(0x000007A4, "import1_flags");
  MakeDword(0x000007A4);
  MakeName(0x000007A8, "import1_counts");
  MakeDword(0x000007A8);
  MakeName(0x000007AC, "import1_nids");
  MakeDword(0x000007AC);
  OpOff(0x000007AC, 0, 0);
  MakeName(0x000007B0, "import1_funcs");
  MakeDword(0x000007B0);
  OpOff(0x000007B0, 0, 0);
  MakeName(0x000008EC, "import1_sceAudioSetFrequency");
  MakeDword(0x000008EC);
  MakeName(0x00000708, "sceAudioSetFrequency");
  MakeFunction(0x00000708, BADADDR);
  MakeName(0x000008F0, "import1_sceAudioSetVolumeOffset");
  MakeDword(0x000008F0);
  MakeName(0x00000710, "sceAudioSetVolumeOffset");
  MakeFunction(0x00000710, BADADDR);
  MakeName(0x000008F4, "import1_sceAudioSRCChReserve");
  MakeDword(0x000008F4);
  MakeName(0x00000718, "sceAudioSRCChReserve");
  MakeFunction(0x00000718, BADADDR);
  MakeName(0x000008F8, "import1_sceAudioSRCChRelease");
  MakeDword(0x000008F8);
  MakeName(0x00000720, "sceAudioSRCChRelease");
  MakeFunction(0x00000720, BADADDR);
  MakeName(0x000008FC, "import1_sceAudioSRCOutputBlocking");
  MakeDword(0x000008FC);
  MakeName(0x00000728, "sceAudioSRCOutputBlocking");
  MakeFunction(0x00000728, BADADDR);
  MakeName(0x000007B4, "import2");
  MakeDword(0x000007B4);
  OpOff(0x000007B4, 0, 0);
  MakeName(0x00000830, "import2_name");
  MakeStr(0x00000830, BADADDR);
  MakeName(0x000007B8, "import2_flags");
  MakeDword(0x000007B8);
  MakeName(0x000007BC, "import2_counts");
  MakeDword(0x000007BC);
  MakeName(0x000007C0, "import2_nids");
  MakeDword(0x000007C0);
  OpOff(0x000007C0, 0, 0);
  MakeName(0x000007C4, "import2_funcs");
  MakeDword(0x000007C4);
  OpOff(0x000007C4, 0, 0);
  MakeName(0x00000900, "import2_scePEQ_FC45514B");
  MakeDword(0x00000900);
  MakeName(0x00000730, "scePEQ_FC45514B");
  MakeFunction(0x00000730, BADADDR);
  MakeName(0x00000904, "import2_scePEQ_F7EA0632");
  MakeDword(0x00000904);
  MakeName(0x00000738, "scePEQ_F7EA0632");
  MakeFunction(0x00000738, BADADDR);
  MakeName(0x00000908, "import2_scePEQ_ED13C3B5");
  MakeDword(0x00000908);
  MakeName(0x00000740, "scePEQ_ED13C3B5");
  MakeFunction(0x00000740, BADADDR);
}

static createExports() {
  MakeName(0x00000754, "export_0");
  MakeDword(0x00000754);
  MakeName(0x00000758, "export_0_flags");
  MakeDword(0x00000758);
  MakeName(0x0000075C, "export_0_counts");
  MakeDword(0x0000075C);
  MakeName(0x00000760, "export_0_exports");
  MakeDword(0x00000760);
  OpOff(0x00000760, 0, 0);
  MakeName(0x00000838, "export_0_module_start");
  MakeDword(0x00000838);
  MakeName(0x00000844, "");
  MakeDword(0x00000844);
  OpOff(0x00000844, 0, 0);
  MakeName(0x000004A8, "module_start");
  MakeFunction(0x000004A8, BADADDR);
  MakeName(0x0000083C, "export_0_module_stop");
  MakeDword(0x0000083C);
  MakeName(0x00000848, "");
  MakeDword(0x00000848);
  OpOff(0x00000848, 0, 0);
  MakeName(0x000005F0, "module_stop");
  MakeFunction(0x000005F0, BADADDR);
  MakeName(0x00000840, "export_0_module_info");
  MakeDword(0x00000840);
  MakeName(0x0000084C, "");
  MakeDword(0x0000084C);
  OpOff(0x0000084C, 0, 0);
  MakeName(0x00000764, "export_1");
  MakeDword(0x00000764);
  OpOff(0x00000764, 0, 0);
  MakeName(0x00000850, "export_1_name");
  MakeStr(0x00000850, BADADDR);
  MakeName(0x00000768, "export_1_flags");
  MakeDword(0x00000768);
  MakeName(0x0000076C, "export_1_counts");
  MakeDword(0x0000076C);
  MakeName(0x00000770, "export_1_exports");
  MakeDword(0x00000770);
  OpOff(0x00000770, 0, 0);
  MakeName(0x00000864, "export_1_sceVaudioInit");
  MakeDword(0x00000864);
  MakeName(0x00000884, "");
  MakeDword(0x00000884);
  OpOff(0x00000884, 0, 0);
  MakeName(0x000004A8, "sceVaudioInit");
  MakeFunction(0x000004A8, BADADDR);
  MakeName(0x00000868, "export_1_sceVaudioEnd");
  MakeDword(0x00000868);
  MakeName(0x00000888, "");
  MakeDword(0x00000888);
  OpOff(0x00000888, 0, 0);
  MakeName(0x000005F0, "sceVaudioEnd");
  MakeFunction(0x000005F0, BADADDR);
  MakeName(0x0000086C, "export_1_sceVaudioOutputBlocking");
  MakeDword(0x0000086C);
  MakeName(0x0000088C, "");
  MakeDword(0x0000088C);
  OpOff(0x0000088C, 0, 0);
  MakeName(0x00000000, "sceVaudioOutputBlocking");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000870, "export_1_sceVaudioChReserve");
  MakeDword(0x00000870);
  MakeName(0x00000890, "");
  MakeDword(0x00000890);
  OpOff(0x00000890, 0, 0);
  MakeName(0x00000210, "sceVaudioChReserve");
  MakeFunction(0x00000210, BADADDR);
  MakeName(0x00000874, "export_1_sceVaudioChRelease");
  MakeDword(0x00000874);
  MakeName(0x00000894, "");
  MakeDword(0x00000894);
  OpOff(0x00000894, 0, 0);
  MakeName(0x00000344, "sceVaudioChRelease");
  MakeFunction(0x00000344, BADADDR);
  MakeName(0x00000878, "export_1_sceVaudio_driver_346FBE94");
  MakeDword(0x00000878);
  MakeName(0x00000898, "");
  MakeDword(0x00000898);
  OpOff(0x00000898, 0, 0);
  MakeName(0x00000410, "sceVaudio_driver_346FBE94");
  MakeFunction(0x00000410, BADADDR);
  MakeName(0x0000087C, "export_1_sceVaudio_driver_82EF2F9D");
  MakeDword(0x0000087C);
  MakeName(0x0000089C, "");
  MakeDword(0x0000089C);
  OpOff(0x0000089C, 0, 0);
  MakeName(0x00000588, "sceVaudio_driver_82EF2F9D");
  MakeFunction(0x00000588, BADADDR);
  MakeName(0x00000880, "export_1_sceVaudio_driver_DCC18F25");
  MakeDword(0x00000880);
  MakeName(0x000008A0, "");
  MakeDword(0x000008A0);
  OpOff(0x000008A0, 0, 0);
  MakeName(0x00000580, "sceVaudio_driver_DCC18F25");
  MakeFunction(0x00000580, BADADDR);
  MakeName(0x00000774, "export_2");
  MakeDword(0x00000774);
  OpOff(0x00000774, 0, 0);
  MakeName(0x000008A4, "export_2_name");
  MakeStr(0x000008A4, BADADDR);
  MakeName(0x00000778, "export_2_flags");
  MakeDword(0x00000778);
  MakeName(0x0000077C, "export_2_counts");
  MakeDword(0x0000077C);
  MakeName(0x00000780, "export_2_exports");
  MakeDword(0x00000780);
  OpOff(0x00000780, 0, 0);
  MakeName(0x000008B0, "export_2_sceVaudioOutputBlocking");
  MakeDword(0x000008B0);
  MakeName(0x000008C0, "");
  MakeDword(0x000008C0);
  OpOff(0x000008C0, 0, 0);
  MakeName(0x00000000, "sceVaudioOutputBlocking");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x000008B4, "export_2_sceVaudioChReserve");
  MakeDword(0x000008B4);
  MakeName(0x000008C4, "");
  MakeDword(0x000008C4);
  OpOff(0x000008C4, 0, 0);
  MakeName(0x00000210, "sceVaudioChReserve");
  MakeFunction(0x00000210, BADADDR);
  MakeName(0x000008B8, "export_2_sceVaudioChRelease");
  MakeDword(0x000008B8);
  MakeName(0x000008C8, "");
  MakeDword(0x000008C8);
  OpOff(0x000008C8, 0, 0);
  MakeName(0x00000344, "sceVaudioChRelease");
  MakeFunction(0x00000344, BADADDR);
  MakeName(0x000008BC, "export_2_sceVaudio_346FBE94");
  MakeDword(0x000008BC);
  MakeName(0x000008CC, "");
  MakeDword(0x000008CC);
  OpOff(0x000008CC, 0, 0);
  MakeName(0x00000410, "sceVaudio_346FBE94");
  MakeFunction(0x00000410, BADADDR);
}

static createRelocs() {
}

