#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000036C8, "_module_flags");
  MakeDword(0x000036C8);
  MakeName(0x000036CC, "_module_name");
  MakeStr(0x000036CC, BADADDR);
  MakeName(0x000036E8, "_module_gp");
  MakeDword(0x000036E8);
  MakeName(0x000036EC, "_module_exports");
  MakeDword(0x000036EC);
  OpOff(0x000036EC, 0, 0);
  MakeName(0x000036F0, "_module_exp_end");
  MakeDword(0x000036F0);
  OpOff(0x000036F0, 0, 0);
  MakeName(0x000036F4, "_module_imports");
  MakeDword(0x000036F4);
  OpOff(0x000036F4, 0, 0);
  MakeName(0x000036F8, "_module_imp_end");
  MakeDword(0x000036F8);
  OpOff(0x000036F8, 0, 0);
}

static createImports() {
  MakeName(0x0000369C, "import0");
  MakeDword(0x0000369C);
  OpOff(0x0000369C, 0, 0);
  MakeName(0x00003700, "import0_name");
  MakeStr(0x00003700, BADADDR);
  MakeName(0x000036A0, "import0_flags");
  MakeDword(0x000036A0);
  MakeName(0x000036A4, "import0_counts");
  MakeDword(0x000036A4);
  MakeName(0x000036A8, "import0_nids");
  MakeDword(0x000036A8);
  OpOff(0x000036A8, 0, 0);
  MakeName(0x000036AC, "import0_funcs");
  MakeDword(0x000036AC);
  OpOff(0x000036AC, 0, 0);
  MakeName(0x00003814, "import0_sceKernelCpuSuspendIntr");
  MakeDword(0x00003814);
  MakeName(0x00003630, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00003630, BADADDR);
  MakeName(0x00003818, "import0_sceKernelCpuResumeIntr");
  MakeDword(0x00003818);
  MakeName(0x00003638, "sceKernelCpuResumeIntr");
  MakeFunction(0x00003638, BADADDR);
  MakeName(0x000036B0, "import1");
  MakeDword(0x000036B0);
  OpOff(0x000036B0, 0, 0);
  MakeName(0x00003714, "import1_name");
  MakeStr(0x00003714, BADADDR);
  MakeName(0x000036B4, "import1_flags");
  MakeDword(0x000036B4);
  MakeName(0x000036B8, "import1_counts");
  MakeDword(0x000036B8);
  MakeName(0x000036BC, "import1_nids");
  MakeDword(0x000036BC);
  OpOff(0x000036BC, 0, 0);
  MakeName(0x000036C0, "import1_funcs");
  MakeDword(0x000036C0);
  OpOff(0x000036C0, 0, 0);
  MakeName(0x0000381C, "import1_sceAudiocodeCheckNeedMem");
  MakeDword(0x0000381C);
  MakeName(0x00003640, "sceAudiocodeCheckNeedMem");
  MakeFunction(0x00003640, BADADDR);
  MakeName(0x00003820, "import1_sceAudiocodecInit");
  MakeDword(0x00003820);
  MakeName(0x00003648, "sceAudiocodecInit");
  MakeFunction(0x00003648, BADADDR);
  MakeName(0x00003824, "import1_sceAudiocodecDecode");
  MakeDword(0x00003824);
  MakeName(0x00003650, "sceAudiocodecDecode");
  MakeFunction(0x00003650, BADADDR);
  MakeName(0x00003828, "import1_sceAudiocodecGetEDRAM");
  MakeDword(0x00003828);
  MakeName(0x00003658, "sceAudiocodecGetEDRAM");
  MakeFunction(0x00003658, BADADDR);
  MakeName(0x0000382C, "import1_sceAudiocodecReleaseEDRAM");
  MakeDword(0x0000382C);
  MakeName(0x00003660, "sceAudiocodecReleaseEDRAM");
  MakeFunction(0x00003660, BADADDR);
}

static createExports() {
  MakeName(0x00003674, "export_0");
  MakeDword(0x00003674);
  MakeName(0x00003678, "export_0_flags");
  MakeDword(0x00003678);
  MakeName(0x0000367C, "export_0_counts");
  MakeDword(0x0000367C);
  MakeName(0x00003680, "export_0_exports");
  MakeDword(0x00003680);
  OpOff(0x00003680, 0, 0);
  MakeName(0x00003724, "export_0_module_start");
  MakeDword(0x00003724);
  MakeName(0x00003730, "");
  MakeDword(0x00003730);
  OpOff(0x00003730, 0, 0);
  MakeName(0x000011A0, "module_start");
  MakeFunction(0x000011A0, BADADDR);
  MakeName(0x00003728, "export_0_module_stop");
  MakeDword(0x00003728);
  MakeName(0x00003734, "");
  MakeDword(0x00003734);
  OpOff(0x00003734, 0, 0);
  MakeName(0x0000121C, "module_stop");
  MakeFunction(0x0000121C, BADADDR);
  MakeName(0x0000372C, "export_0_module_info");
  MakeDword(0x0000372C);
  MakeName(0x00003738, "");
  MakeDword(0x00003738);
  OpOff(0x00003738, 0, 0);
  MakeName(0x00003684, "export_1");
  MakeDword(0x00003684);
  OpOff(0x00003684, 0, 0);
  MakeName(0x0000373C, "export_1_name");
  MakeStr(0x0000373C, BADADDR);
  MakeName(0x00003688, "export_1_flags");
  MakeDword(0x00003688);
  MakeName(0x0000368C, "export_1_counts");
  MakeDword(0x0000368C);
  MakeName(0x00003690, "export_1_exports");
  MakeDword(0x00003690);
  OpOff(0x00003690, 0, 0);
  MakeName(0x0000374C, "export_1_sceAtracStartEntry");
  MakeDword(0x0000374C);
  MakeName(0x000037B0, "");
  MakeDword(0x000037B0);
  OpOff(0x000037B0, 0, 0);
  MakeName(0x000011A0, "sceAtracStartEntry");
  MakeFunction(0x000011A0, BADADDR);
  MakeName(0x00003750, "export_1_sceAtracEndEntry");
  MakeDword(0x00003750);
  MakeName(0x000037B4, "");
  MakeDword(0x000037B4);
  OpOff(0x000037B4, 0, 0);
  MakeName(0x0000121C, "sceAtracEndEntry");
  MakeFunction(0x0000121C, BADADDR);
  MakeName(0x00003754, "export_1_sceAtracGetAtracID");
  MakeDword(0x00003754);
  MakeName(0x000037B8, "");
  MakeDword(0x000037B8);
  OpOff(0x000037B8, 0, 0);
  MakeName(0x00000000, "sceAtracGetAtracID");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00003758, "export_1_sceAtracReleaseAtracID");
  MakeDword(0x00003758);
  MakeName(0x000037BC, "");
  MakeDword(0x000037BC);
  OpOff(0x000037BC, 0, 0);
  MakeName(0x000000F0, "sceAtracReleaseAtracID");
  MakeFunction(0x000000F0, BADADDR);
  MakeName(0x0000375C, "export_1_sceAtracSetData");
  MakeDword(0x0000375C);
  MakeName(0x000037C0, "");
  MakeDword(0x000037C0);
  OpOff(0x000037C0, 0, 0);
  MakeName(0x00001280, "sceAtracSetData");
  MakeFunction(0x00001280, BADADDR);
  MakeName(0x00003760, "export_1_sceAtracSetHalfwayBuffer");
  MakeDword(0x00003760);
  MakeName(0x000037C4, "");
  MakeDword(0x000037C4);
  OpOff(0x000037C4, 0, 0);
  MakeName(0x00000174, "sceAtracSetHalfwayBuffer");
  MakeFunction(0x00000174, BADADDR);
  MakeName(0x00003764, "export_1_sceAtracSetDataAndGetID");
  MakeDword(0x00003764);
  MakeName(0x000037C8, "");
  MakeDword(0x000037C8);
  OpOff(0x000037C8, 0, 0);
  MakeName(0x00000204, "sceAtracSetDataAndGetID");
  MakeFunction(0x00000204, BADADDR);
  MakeName(0x00003768, "export_1_sceAtracSetHalfwayBufferAndGetID");
  MakeDword(0x00003768);
  MakeName(0x000037CC, "");
  MakeDword(0x000037CC);
  OpOff(0x000037CC, 0, 0);
  MakeName(0x00000350, "sceAtracSetHalfwayBufferAndGetID");
  MakeFunction(0x00000350, BADADDR);
  MakeName(0x0000376C, "export_1_sceAtracDecodeData");
  MakeDword(0x0000376C);
  MakeName(0x000037D0, "");
  MakeDword(0x000037D0);
  OpOff(0x000037D0, 0, 0);
  MakeName(0x000004AC, "sceAtracDecodeData");
  MakeFunction(0x000004AC, BADADDR);
  MakeName(0x00003770, "export_1_sceAtracGetRemainFrame");
  MakeDword(0x00003770);
  MakeName(0x000037D4, "");
  MakeDword(0x000037D4);
  OpOff(0x000037D4, 0, 0);
  MakeName(0x0000130C, "sceAtracGetRemainFrame");
  MakeFunction(0x0000130C, BADADDR);
  MakeName(0x00003774, "export_1_sceAtracGetStreamDataInfo");
  MakeDword(0x00003774);
  MakeName(0x000037D8, "");
  MakeDword(0x000037D8);
  OpOff(0x000037D8, 0, 0);
  MakeName(0x00000608, "sceAtracGetStreamDataInfo");
  MakeFunction(0x00000608, BADADDR);
  MakeName(0x00003778, "export_1_sceAtracAddStreamData");
  MakeDword(0x00003778);
  MakeName(0x000037DC, "");
  MakeDword(0x000037DC);
  OpOff(0x000037DC, 0, 0);
  MakeName(0x0000071C, "sceAtracAddStreamData");
  MakeFunction(0x0000071C, BADADDR);
  MakeName(0x0000377C, "export_1_sceAtracGetSecondBufferInfo");
  MakeDword(0x0000377C);
  MakeName(0x000037E0, "");
  MakeDword(0x000037E0);
  OpOff(0x000037E0, 0, 0);
  MakeName(0x00000820, "sceAtracGetSecondBufferInfo");
  MakeFunction(0x00000820, BADADDR);
  MakeName(0x00003780, "export_1_sceAtracSetSecondBuffer");
  MakeDword(0x00003780);
  MakeName(0x000037E4, "");
  MakeDword(0x000037E4);
  OpOff(0x000037E4, 0, 0);
  MakeName(0x000008EC, "sceAtracSetSecondBuffer");
  MakeFunction(0x000008EC, BADADDR);
  MakeName(0x00003784, "export_1_sceAtracGetNextDecodePosition");
  MakeDword(0x00003784);
  MakeName(0x000037E8, "");
  MakeDword(0x000037E8);
  OpOff(0x000037E8, 0, 0);
  MakeName(0x00000A6C, "sceAtracGetNextDecodePosition");
  MakeFunction(0x00000A6C, BADADDR);
  MakeName(0x00003788, "export_1_sceAtracGetSoundSample");
  MakeDword(0x00003788);
  MakeName(0x000037EC, "");
  MakeDword(0x000037EC);
  OpOff(0x000037EC, 0, 0);
  MakeName(0x000009D8, "sceAtracGetSoundSample");
  MakeFunction(0x000009D8, BADADDR);
  MakeName(0x0000378C, "export_1_sceAtracGetChannel");
  MakeDword(0x0000378C);
  MakeName(0x000037F0, "");
  MakeDword(0x000037F0);
  OpOff(0x000037F0, 0, 0);
  MakeName(0x0000138C, "sceAtracGetChannel");
  MakeFunction(0x0000138C, BADADDR);
  MakeName(0x00003790, "export_1_sceAtracGetMaxSample");
  MakeDword(0x00003790);
  MakeName(0x000037F4, "");
  MakeDword(0x000037F4);
  OpOff(0x000037F4, 0, 0);
  MakeName(0x000013E4, "sceAtracGetMaxSample");
  MakeFunction(0x000013E4, BADADDR);
  MakeName(0x00003794, "export_1_sceAtracGetNextSample");
  MakeDword(0x00003794);
  MakeName(0x000037F8, "");
  MakeDword(0x000037F8);
  OpOff(0x000037F8, 0, 0);
  MakeName(0x00001464, "sceAtracGetNextSample");
  MakeFunction(0x00001464, BADADDR);
  MakeName(0x00003798, "export_1_sceAtracGetBitrate");
  MakeDword(0x00003798);
  MakeName(0x000037FC, "");
  MakeDword(0x000037FC);
  OpOff(0x000037FC, 0, 0);
  MakeName(0x000014E4, "sceAtracGetBitrate");
  MakeFunction(0x000014E4, BADADDR);
  MakeName(0x0000379C, "export_1_sceAtracGetLoopStatus");
  MakeDword(0x0000379C);
  MakeName(0x00003800, "");
  MakeDword(0x00003800);
  OpOff(0x00003800, 0, 0);
  MakeName(0x00001564, "sceAtracGetLoopStatus");
  MakeFunction(0x00001564, BADADDR);
  MakeName(0x000037A0, "export_1_sceAtracSetLoopNum");
  MakeDword(0x000037A0);
  MakeName(0x00003804, "");
  MakeDword(0x00003804);
  OpOff(0x00003804, 0, 0);
  MakeName(0x00000B00, "sceAtracSetLoopNum");
  MakeFunction(0x00000B00, BADADDR);
  MakeName(0x000037A4, "export_1_sceAtracGetBufferInfoForReseting");
  MakeDword(0x000037A4);
  MakeName(0x00003808, "");
  MakeDword(0x00003808);
  OpOff(0x00003808, 0, 0);
  MakeName(0x00000B94, "sceAtracGetBufferInfoForReseting");
  MakeFunction(0x00000B94, BADADDR);
  MakeName(0x000037A8, "export_1_sceAtracResetPlayPosition");
  MakeDword(0x000037A8);
  MakeName(0x0000380C, "");
  MakeDword(0x0000380C);
  OpOff(0x0000380C, 0, 0);
  MakeName(0x00000C40, "sceAtracResetPlayPosition");
  MakeFunction(0x00000C40, BADADDR);
  MakeName(0x000037AC, "export_1_sceAtracGetInternalErrorInfo");
  MakeDword(0x000037AC);
  MakeName(0x00003810, "");
  MakeDword(0x00003810);
  OpOff(0x00003810, 0, 0);
  MakeName(0x000015E8, "sceAtracGetInternalErrorInfo");
  MakeFunction(0x000015E8, BADADDR);
}

static createRelocs() {
}

